Subject: Re: [sipcore] ;transport=tls

From: Iñaki Baz Castillo <[email-masked]>
Date: Thu, 11 Jun 2015 14:03:17 +0200

2015-03-03 18:27 GMT+01:00 Cullen Jennings <[email-masked]>:
> So is there a problem different from that which needs to be solve here ?

Yes. There is a problem as people does not know what exactly they must
do in order to properly use SIP over TLS (and hence over WSS). And the
solution is easy: just make ;transport=tls and ;transport=wss
standard. People are already using it.

Of course there are some bullets to solve:

- A client without a "proper" TLS certificate indicates ;transport=tls
in his Contact. The proxy/server he is connecting to should not
attempt to validate the client certificate (or let that be local
policy), even less in Outbound scenarios.

-- 
Iñaki Baz Castillo
<[email-masked]>